<!-- BEGIN sidebar -->
<div id="sidebar">

<?php if ( !function_exists('dynamic_sidebar')
|| !dynamic_sidebar(1) ) : ?>

<!-- begin advertisement -->
<div class="ad box">
	<a href="#"><img src="<?php bloginfo('template_url'); ?>/images/ad125x125_1.jpg" alt="Advertisement" /></a>
	<a href="#"><img src="<?php bloginfo('template_url'); ?>/images/ad125x125_2.jpg" alt="Advertisement" /></a>
	<a href="#"><img src="<?php bloginfo('template_url'); ?>/images/ad125x125_3.jpg" alt="Advertisement" /></a>
	<a href="#"><img src="<?php bloginfo('template_url'); ?>/images/ad125x125_4.jpg" alt="Advertisement" /></a>
</div>
<!-- end advertisement -->

<!-- begin twitter updates -->
<div class="box">
<h2>Twitter Updates</h2>
<p class="twitter">
This is a placeholder text for your twitter updates. Install a Twitter plugin. #
</p>
</div>
<!-- end twitter updates -->

<!-- begin search site -->
<div class="box">
<h2>Search Site</h2>
<form action="<?php echo get_option('home'); ?>">
<input type="text" name="s" id="s" value="<?php the_search_query(); ?>" />
<button type="submit">Submit</button>
</form>
</div>
<!-- end search site -->

<!-- begin popular articles -->
<div class="box">
<h2>Popular Articles</h2>
<ul class="popular">
<?php dp_popular_posts(3); ?>
</ul>
</div>
<!-- end popular articles -->

<!-- begin flickr photos -->
<div class="box">
<h2>Flickr Photos</h2>
<p class="flickr">
<?php if (function_exists('get_flickrRSS')) get_flickrRSS(); ?>
</p>
</div>
<!-- end flickr photos -->

<!-- begin featured video -->
<div class="box">
<h2>Featured Video</h2>
<div class="video">
<script type="text/javascript">showVideo('<?php echo dp_settings("youtube") ?>');</script>
</div>
</div>
<!-- end featured video -->

<!-- begin tag cloud -->
<div class="box">
<h2>Tag Cloud</h2>
<div class="tags">
<?php wp_tag_cloud(); ?>
</div>
</div>
<!-- end tag cloud -->

<?php endif; ?>

<!-- BEGIN left -->
<div class="l">

<?php if ( !function_exists('dynamic_sidebar')
|| !dynamic_sidebar(2) ) : ?>

	<!-- begin pages -->
	<h2>Pages</h2>
	<ul>
	<?php dp_list_pages(); ?>
	</ul>
	<!-- end pages -->
	
	<!-- begin categories -->
	<h2>Categories</h2>
	<ul>
	<?php wp_list_categories('title_li='); ?>
	</ul>
	<!-- end categories -->
	
	<!-- begin meta -->
	<h2>Meta</h2>
	<ul>
	<?php wp_register(); ?>
	<li><?php wp_loginout(); ?></li>
	<li><a href="http://validator.w3.org/check/referer" title="This page validates as XHTML 1.0 Transitional">Valid <abbr title="eXtensible HyperText Markup Language">XHTML</abbr></a></li>
	<li><a href="http://gmpg.org/xfn/"><abbr title="XHTML Friends Network">XFN</abbr></a></li>
	<li><a href="http://wordpress.org/" title="Powered by WordPress, state-of-the-art semantic personal publishing platform.">WordPress</a></li>
	<?php wp_meta(); ?>
	</ul>
	<!-- end meta -->

<?php endif; ?>

</div>
<!-- END left -->

<!-- BEGIN right -->
<div class="r">

<?php if ( !function_exists('dynamic_sidebar')
|| !dynamic_sidebar(3) ) : ?>

	<!-- begin archives -->
	<h2>Archives</h2>
	<ul>
	<?php wp_get_archives('type=monthly'); ?>
	</ul>
	<!-- end archives -->
	
	<!-- begin blogroll -->
	<?php wp_list_bookmarks('category_before=&category_after=&title_before=<h2>&title_after=</h2>'); ?>
	<!-- end blogroll -->

<?php endif; ?>
	
</div>
<!-- END right -->
